## powa-archivist 3.0.0

=== Makefile ===
EXTENSION    = powa
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
DOCS         = $(wildcard *.md)

PG_CONFIG = pg_config

MODULES = powa

all:

release-zip: all
	git archive --format zip --prefix=powa-${EXTVERSION}/ --output ./powa-${EXTVERSION}.zip HEAD
	unzip ./powa-$(EXTVERSION).zip
	rm ./powa-$(EXTVERSION).zip
	rm ./powa-$(EXTVERSION)/.gitignore
	rm ./powa-$(EXTVERSION)/reindent.sh
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./powa-$(EXTVERSION)/META.json
	zip -r ./powa-$(EXTVERSION).zip ./powa-$(EXTVERSION)/
	rm ./powa-$(EXTVERSION) -rf

DATA = $(wildcard *--*.sql)
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
powa-archivist (3.0.0-2) unstable; urgency=medium

  * Upload to unstable with 9.5 support.
  * Add debian/tests/create-extension.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Jan 2016 18:14:25 +0100

powa-archivist (3.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 11 Nov 2015 15:11:42 +0100

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9~),
 postgresql-server-dev-all (>= 141~)
Homepage: http://dalibo.github.io/powa/
Vcs-Browser: https://github.com/credativ/powa-archivist.git
Vcs-Git: https://github.com/credativ/powa-archivist.git -b debian

Package: postgresql-9.5-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Description: PostgreSQL Workload Analyzer -- PostgreSQL 9.5 extension
 This package contains the core extension of the PoWA project, a PostgreSQL
 Workload Analyzer that gathers performance stats and provides real-time charts
 and graphs to help monitor and tune your PostgreSQL servers.

=== debian/tests/control ===
Depends: @, postgresql-contrib-9.5, postgresql-9.5-powa
Tests: create-extension
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  https://github.com/dalibo/powa-archivist/releases .*/archive/REL_(.*).tar.gz

## powa-archivist 3.0.1

=== debian/changelog ===
powa-archivist (3.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 19 Feb 2016 10:04:25 +0100

## powa-archivist 3.1.0

=== debian/changelog ===
powa-archivist (3.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 22:50:34 +0200

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9~),
 postgresql-server-dev-all (>= 141~)
Homepage: http://dalibo.github.io/powa/
Vcs-Browser: https://github.com/credativ/powa-archivist.git
Vcs-Git: https://github.com/credativ/powa-archivist.git -b debian

Package: postgresql-9.6-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Description: PostgreSQL Workload Analyzer -- PostgreSQL 9.6 extension
 This package contains the core extension of the PoWA project, a PostgreSQL
 Workload Analyzer that gathers performance stats and provides real-time charts
 and graphs to help monitor and tune your PostgreSQL servers.

=== debian/tests/control ===
Depends: @, postgresql-contrib-9.6, postgresql-9.6-powa
Tests: create-extension
Restrictions: allow-stderr

## powa-archivist 3.1.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 TESTS        = $(wildcard test/sql/*.sql)
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test
-DOCS         = $(wildcard *.md)
 
 PG_CONFIG = pg_config

=== debian/changelog ===
powa-archivist (3.1.1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Packaging has been merged into upstream git.
  * Use source format 3.0 (native) to ease building snapshots.
  * Bump Standards-Version to 4.1.0.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 19 Sep 2017 10:40:00 +0200

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 9~),
 postgresql-server-dev-all (>= 141~)
Homepage: http://dalibo.github.io/powa/
Vcs-Browser: https://github.com/dalibo/powa-archivist
Vcs-Git: https://github.com/dalibo/powa-archivist.git

Package: postgresql-10-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Description: PostgreSQL Workload Analyzer -- PostgreSQL 10 extension
 This package contains the core extension of the PoWA project, a PostgreSQL
 Workload Analyzer that gathers performance stats and provides real-time charts
 and graphs to help monitor and tune your PostgreSQL servers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-powa

override_dh_installdocs:
	dh_installdocs --all INSTALL.md PL_funcs.md README.md
	rm -rfv debian/*/usr/share/doc/postgresql-doc-*

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-contrib-10, postgresql-10-powa
Tests: create-extension
Restrictions: allow-stderr

## powa-archivist 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 EXTENSION    = powa
 EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
-TESTS        = $(wildcard test/sql/*.sql)
-REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
+TESTS        = $(wildcard sql/*.sql)
+REGRESS      = $(patsubst sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test
 
-PG_CONFIG = pg_config
+PG_CONFIG ?= pg_config
 
 MODULES = powa

## powa-archivist 4.1.2

=== Makefile ===
--- 
+++ 
@@ -21,5 +21,13 @@
 	rm ./powa-$(EXTVERSION) -rf
 
 DATA = $(wildcard *--*.sql)
+
+ifdef NO_PGXS
+subdir = contrib/$(MODULE)
+top_builddir = ../..
+include $(top_builddir)/src/Makefile.global
+include $(top_srcdir)/contrib/contrib-global.mk
+else
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
+endif

=== debian/changelog ===
powa-archivist (4.1.2-5.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 11 Feb 2022 14:10:12 +0100

powa-archivist (4.1.2-5) unstable; urgency=medium

  * Add dependency on postgresql-contrib-PGVERSION.

 -- Christoph Berg <myon@debian.org>  Fri, 11 Feb 2022 14:10:12 +0100

powa-archivist (4.1.2-4) unstable; urgency=medium

  * Fix GitHub watch file.
  * Update contributors list.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 14:32:35 +0100

powa-archivist (4.1.2-3) unstable; urgency=medium

  * Provides: postgresql-powa.
  * Suggests: powa-web, powa-collector.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Oct 2021 18:07:25 +0200

powa-archivist (4.1.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:28:00 +0200

powa-archivist (4.1.2-1) unstable; urgency=medium

  * New upstream version. 

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 21 Dec 2020 12:06:52 +0800

powa-archivist (4.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 13 Dec 2020 16:10:34 +0100

powa-archivist (4.1.0-1) unstable; urgency=medium

  [ Julien Rouhaud ]
  * New upstream version.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * Source format 3.0 (quilt).

 -- Julien Rouhaud <rjuju123@gmail.com>  Thu, 10 Dec 2020 19:41:20 +0800

powa-archivist (4.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 11:44:23 +0200

powa-archivist (3.2.0-1) unstable; urgency=medium

  * New upstream version

  [ Christoph Berg ]
  * debian/tests: Depend on postgresql-server-dev-all for pg_buildext.
  * debian/tests: Use "pg_buildext installcheck".
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 14 Oct 2018 22:52:51 +0200

powa-archivist (3.1.2-1) unstable; urgency=medium

  * New upstream version with PG11 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 May 2018 08:55:39 +0200

powa-archivist (3.1.1-2) unstable; urgency=medium

  * Catch errors in autopkgtest script, thanks to Niels Thykier for spotting!
    Closes: #881695
  * Use source format 1.0, works even better for building snapshots.

 -- Christoph Berg <myon@debian.org>  Sat, 19 May 2018 17:47:40 +0200

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/powa-archivist
Vcs-Git: https://github.com/powa-team/powa-archivist.git

Package: postgresql-10-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10, postgresql-contrib-10
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 10 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-11-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11, postgresql-contrib-11
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 11 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-12-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12, postgresql-contrib-12
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 12 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-13-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13, postgresql-contrib-13
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 13 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-14-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14, postgresql-contrib-14
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 14 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

=== debian/tests/control ===
Depends: @, postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, make
Tests: installcheck
Restrictions: allow-stderr

## powa-archivist 4.1.3

=== debian/changelog ===
powa-archivist (4.1.3-1) unstable; urgency=medium

  * new upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Sun, 13 Feb 2022 18:57:27 +0800

## powa-archivist 4.1.4~20220628.0652-1~3.gita03151c.pgdg21.10+1

=== debian/changelog ===
powa-archivist (4.1.4~20220628.0652-1~3.gita03151c.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 May 2022 14:29:51 +0800

powa-archivist (4.1.4-1) unstable; urgency=medium

  * New upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 16 May 2022 14:29:51 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+ Julien Rouhaud <rjuju123@gmail.com>,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),

## powa-archivist 4.1.4

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	rm ./powa-$(EXTVERSION)/reindent.sh
 	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./powa-$(EXTVERSION)/META.json
 	zip -r ./powa-$(EXTVERSION).zip ./powa-$(EXTVERSION)/
-	rm ./powa-$(EXTVERSION) -rf
+	rm -rf ./powa-$(EXTVERSION)
 
 DATA = $(wildcard *--*.sql)

=== debian/changelog ===
powa-archivist (4.1.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:50:59 +0200

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Julien Rouhaud <rjuju123@gmail.com>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 postgresql-all (>= 217~)
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/powa-team/powa-archivist
Vcs-Git: https://github.com/powa-team/powa-archivist.git

Package: postgresql-15-powa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15, postgresql-contrib-15
Provides: postgresql-powa
Suggests: powa-web, powa-collector
Description: PostgreSQL Workload Analyzer -- PostgreSQL 15 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

=== debian/tests/control ===
Depends: @, postgresql-contrib-15, make
Tests: installcheck
Restrictions: allow-stderr

## powa-archivist 4.2.2

=== debian/changelog ===
powa-archivist (4.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Thu, 23 Nov 2023 13:55:51 +0700

powa-archivist (4.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Julien Rouhaud <rjuju123@gmail.com>  Sat, 28 Oct 2023 10:37:48 +0700

powa-archivist (4.2.0-1) unstable; urgency=medium

  * New upstream version with postgres 16 support

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 18 Sep 2023 17:40:39 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Julien Rouhaud <rjuju123@gmail.com>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
  postgresql-all (>= 217~)
@@ -13,12 +13,12 @@
 Vcs-Browser: https://github.com/powa-team/powa-archivist
 Vcs-Git: https://github.com/powa-team/powa-archivist.git
 
-Package: postgresql-15-powa
+Package: postgresql-16-powa
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15, postgresql-contrib-15
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}, postgresql-contrib-16
 Provides: postgresql-powa
 Suggests: powa-web, powa-collector
-Description: PostgreSQL Workload Analyzer -- PostgreSQL 15 extension
+Description: PostgreSQL Workload Analyzer -- PostgreSQL 16 extension
  PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
  provides real-time charts and graphs to help monitor and tune your PostgreSQL
  servers. This package contains the core extension of the PoWA project, the

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all INSTALL.md PL_funcs.md README.md
	rm -rfv debian/*/usr/share/doc/postgresql-doc-*

override_dh_pgxs_test:
	pg_buildext -o "shared_preload_libraries=powa,pg_stat_statements" installcheck . . postgresql-%v-powa

%:
	dh $@ --with pgxs_loop

## powa-archivist 5.0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 EXTENSION    = powa
 EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
-TESTS        = $(wildcard sql/*.sql)
+TESTS        = $(sort $(wildcard sql/*.sql))
 REGRESS      = $(patsubst sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test

=== debian/changelog ===
powa-archivist (5.0.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 09 Jan 2025 12:32:33 +0100

powa-archivist (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Jan 2025 12:32:33 +0100

powa-archivist (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Makefile: Sort list of tests.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Nov 2024 14:35:12 +0100

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Julien Rouhaud <rjuju123@gmail.com>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/postgresql/powa-archivist
Vcs-Git: https://salsa.debian.org/postgresql/powa-archivist.git

Package: postgresql-10-powa
Architecture: any
Depends:
 postgresql-contrib-10,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 10 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-11-powa
Architecture: any
Depends:
 postgresql-contrib-11,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 11 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-12-powa
Architecture: any
Depends:
 postgresql-contrib-12,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 12 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-13-powa
Architecture: any
Depends:
 postgresql-contrib-13,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 13 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-14-powa
Architecture: any
Depends:
 postgresql-contrib-14,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 14 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-15-powa
Architecture: any
Depends:
 postgresql-contrib-15,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 15 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-16-powa
Architecture: any
Depends:
 postgresql-contrib-16,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 16 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

Package: postgresql-17-powa
Architecture: any
Depends:
 postgresql-contrib-17,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 17 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

## powa-archivist 5.0.2

=== debian/changelog ===
powa-archivist (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0.2.

 -- Michael Banck <mbanck@debian.org>  Tue, 15 Apr 2025 15:17:14 +0200

=== debian/control ===
Source: powa-archivist
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Julien Rouhaud <rjuju123@gmail.com>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/postgresql/powa-archivist
Vcs-Git: https://salsa.debian.org/postgresql/powa-archivist.git

Package: postgresql-17-powa
Architecture: any
Depends:
 postgresql-contrib-17,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-powa,
Suggests:
 powa-collector,
 powa-web,
Description: PostgreSQL Workload Analyzer -- PostgreSQL 17 extension
 PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
 provides real-time charts and graphs to help monitor and tune your PostgreSQL
 servers. This package contains the core extension of the PoWA project, the
 archivist.
 .
 Related packages:
  * powa-web: web frontend
  * powa-collector: collector daemon for remote snapshots

=== debian/tests/control ===
Depends: @, postgresql-contrib-17, make
Tests: installcheck
Restrictions: allow-stderr

## powa-archivist 5.0.3

=== debian/changelog ===
powa-archivist (5.0.3-1) experimental; urgency=medium

  * New upstream version 5.0.3.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Jun 2025 15:50:09 +0200

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
  https://github.com/powa-team/powa-archivist/tags .*/REL_(.*).tar.gz

## powa-archivist 5.1.0

=== debian/changelog ===
powa-archivist (5.1.0-2.pgdg11+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 23 Nov 2025 11:06:48 +0100

powa-archivist (5.1.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117335)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Nov 2025 11:06:48 +0100

powa-archivist (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Nov 2025 11:06:35 +0100

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 postgresql-contrib-10, postgresql-contrib-11, postgresql-contrib-12, postgresql-contrib-13, postgresql-contrib-14, postgresql-contrib-15, postgresql-contrib-16, postgresql-contrib-17, postgresql-contrib-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

## powa-archivist 5.1.1

=== debian/changelog ===
powa-archivist (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Dec 2025 19:15:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,20 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Julien Rouhaud <rjuju123@gmail.com>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
 Homepage: https://powa.readthedocs.io/
 Vcs-Browser: https://salsa.debian.org/postgresql/powa-archivist
 Vcs-Git: https://salsa.debian.org/postgresql/powa-archivist.git
 
-Package: postgresql-17-powa
+Package: postgresql-18-powa
 Architecture: any
 Depends:
- postgresql-contrib-17,
+ postgresql-contrib-18,
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
@@ -28,7 +27,9 @@
 Suggests:
  powa-collector,
  powa-web,
-Description: PostgreSQL Workload Analyzer -- PostgreSQL 17 extension
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Workload Analyzer -- PostgreSQL 18 extension
  PoWA is a PostgreSQL Workload Analyzer that gathers performance stats and
  provides real-time charts and graphs to help monitor and tune your PostgreSQL
  servers. This package contains the core extension of the PoWA project, the
